Download it now!
Bug 122444 - FontWork should be available in Navigator
Summary: FontWork should be available in Navigator
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Jim Raykowski
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Navigator FontWork-WordArt
  Show dependency treegraph
 
Reported: 2019-01-03 13:14 UTC by reikenberg
Modified: 2020-05-02 15:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description reikenberg 2019-01-03 13:14:01 UTC
Description:
I was looking for a workaround for
https://bugs.documentfoundation.org/show_bug.cgi?id=122231
and take a look in the Navigator to select the FontWork over there.
But it is not available.

Steps to Reproduce:
1. Create a fontwork
2. Try to choose it in the Navigator


Actual Results:
Fontwork is not available in the Navigator

Expected Results:
Fontwork should be in the Navigator like other elements.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Dieter 2019-01-03 13:46:40 UTC
I support this proposal
Comment 2 Regina Henschel 2019-01-03 14:11:37 UTC
The Fontwork-shape has not got an automatic name. It will be visible, when you have named it. So the request would be, to name Fontwork-shapes automatically, same as done with other shapes. Or to change Navigator to make all shapes available, whether they are named or not.
Comment 3 Dieter 2019-01-03 14:40:14 UTC
(In reply to Regina Henschel from comment #2)
> The Fontwork-shape has not got an automatic name. It will be visible, when
> you have named it. So the request would be, to name Fontwork-shapes
> automatically, same as done with other shapes. Or to change Navigator to
> make all shapes available, whether they are named or not.

I would prefer the first solution. Regina, how is it possible to change Navigator to make all shapes available?
Comment 4 Regina Henschel 2019-01-04 01:30:45 UTC
(In reply to Dieter Praas from comment #3)
> Regina, how is it possible to change
> Navigator to make all shapes available?

It is not yet possible as needed. The Navigator in Draw/Impress has for 'Show Shapes' the options 'Named shapes' and 'All shapes'. But in mode 'All shapes' the selection of a shape via Navigator does not work. (bug 62851, bug 90277, bug 111839).
Comment 5 Heiko Tietze 2019-01-04 08:24:27 UTC
The selection bug is clear: over images you cannot select the fontwork but it works for shapes. Once this issue is solved, would you use the Navigator? I doubt that and actually I also don't see fontwork as a special object eligible for being listed extra in the Navigator. Besides the problems Regina point out. So let's close this request as WF. Feel free to reopen.
Comment 6 Regina Henschel 2019-01-04 14:40:14 UTC
I disagree. A Fontwork shape is the same kind of shape as Triangle or Smiley or any of the other custom shapes. Only that it has the attribute 'draw:text-path="true"' set in its <draw:enhanced-geometry> element. I see no reason, why it shouldn't get an automatic name like all other shapes.
Comment 7 Dieter 2019-01-04 20:01:49 UTC
(In reply to Regina Henschel from comment #6)
> I disagree. A Fontwork shape is the same kind of shape as Triangle or Smiley
> or any of the other custom shapes. Only that it has the attribute
> 'draw:text-path="true"' set in its <draw:enhanced-geometry> element. I see
> no reason, why it shouldn't get an automatic name like all other shapes.

I agree with you, Regina. Fontwork should be treated like other shapes. Hiko, I think arguments are needed to treat them different, not to treat them equal. So I think this topic should be discussed in the design meeting (see also similar bug 122445 regarding grouped shapes)
Comment 8 reikenberg 2019-01-06 17:28:11 UTC
In my opinion as an end-user,
fontwork should be named like all other objects.
It makes them usage more easily and prevents confusion,
why should the end-user think to giving the fontwork an name if he want it selectable in the navigator. Everyone would think its a bug, no matter it has a technicaly reason for it or not.

So if the fontwork get no name, i bet this will reported as bug again sometime.
Comment 9 Dieter 2019-01-07 14:20:54 UTC
(In reply to Heiko Tietze from comment #5)
> Once this issue is solved, would you use the Navigator?
> I doubt that and actually I also don't see fontwork as a special object
> eligible for being listed extra in the Navigator.

Heiko, let me cite yourself: "Why should an object be hidden in the Navigator?" (bug 122231 comment 3)

So can we reopen this bug?
Comment 10 Heiko Tietze 2019-01-07 14:34:47 UTC
(In reply to Dieter Praas from comment #9)
> So can we reopen this bug?

I've put it on the agenda for the design meeting with the question if fontwork is text or object. But of course, we can reopen meanwhile.
Comment 11 Cor Nouws 2019-01-09 19:31:11 UTC
design meeting: New
Comment 12 Cor Nouws 2019-01-09 19:55:24 UTC
changing component, it's in Calc and Impress too
Comment 13 Heiko Tietze 2019-01-10 11:11:40 UTC
(In reply to Cor Nouws from comment #11)
> design meeting: New

That, and a few more details: Please list fontwork at the Navigator under Drawing objects and label the objects similar to shapes FontworkX.
Comment 14 Dieter 2020-04-14 08:58:35 UTC
Result in

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 962b415edb47187737a5f05c4ff3f6724a19c564
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

Writer: Writer creates automatic name from fontwork (for example "snow") and changes this soon into "shape"

Impress / Calc: Both components create automatic name from fontwork (for example "snow"

=> WORKSFORME?
Comment 15 Heiko Tietze 2020-04-14 09:09:11 UTC
(In reply to Dieter from comment #14)
> Writer: Writer creates automatic name from fontwork (for example "snow") and
> changes this soon into "shape"
> 
> => WORKSFORME?

Better keep Snow and use Snow1 for the second item (tested first with Simple and it was inserted directly as Shape; maybe renaming was too fast though). But it might be a different topic and in fact fontwork is listed now. Jim, what do you think?
Comment 16 Jim Raykowski 2020-04-16 05:48:45 UTC
It took me a while to notice the brief showing of the fontwork name in the Navigator Drawing object before changing to 'ShapeX'. This was introduced by the patch that sets the fontwork object and style name to 'Shape' on insertion [1][2].

Here is a patch, that uses the patch for bug 125191, to provide for the fontwork names to be used when inserted from the fontwork gallery:

https://gerrit.libreoffice.org/c/core/+/92333


[1] https://git.libreoffice.org/core/+/6e2ed4ea934851f82611c3352b9551046fda89d0%5E! 

[2] https://git.libreoffice.org/core/+/e6341e0f613237020fef9e2028e123022ff2ce38%5E!
Comment 17 Commit Notification 2020-04-16 08:10:18 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/00d4852eef26037f7ddf6778542a131e94c752b2

tdf#122444 Use fontwork name for object name

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Dieter 2020-05-02 15:32:51 UTC
Verified with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: b8fb7ecd9cdbe1898c41eaecd9894df8e8f01e25
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

Jim, thanks for fixing that issue!